<div class="detail-content">
    <mat-progress-bar mode="indeterminate" *ngIf="wait" class="progressbar"></mat-progress-bar>
    <div class="container">
        <div fxLayout="row wrap">
            <div class="mat-card-container" fxFlex="50" fxFlex.md="50" fxFlex.sm="100" fxFlex.xs="100">
                <mat-card>
                    <mat-card-content>
                        <div class="chart-data" fxFlex="100">
                            <canvas id="canvas"></canvas>
                        </div>
                    </mat-card-content>
                </mat-card>
            </div>
            <div fxFlex="50" fxFlex.md="50" fxFlex.sm="100" fxFlex.xs="100" *ngIf="this.infoDataSource.length !== 0">
                <div class="mat-card-container">
                    <mat-card class="info-card">
                        <!--                <h1 class="mat-h1">data</h1>-->
                        <table mat-table [dataSource]="this.infoDataSource" style="width: 100%">

                            <ng-container matColumnDef="key">
                                <th mat-header-cell *matHeaderCellDef> {{dictionary.generalData}}</th>
                                <td mat-cell *matCellDef="let element"> {{element.key}} </td>
                            </ng-container>

                            <ng-container matColumnDef="value">
                                <th mat-header-cell *matHeaderCellDef>
                                    <button *ngIf="this.infoDataSource[0].value !== null" mat-flat-button color="accent" [matTooltip]="flightData.picture"
                                            (click)="flightData.itemSwitch = !flightData.itemSwitch; this.flightData.detailsCloseClick = false"
                                            [disabled]="!flightData.picture">{{dictionary.image}}
                                    </button>
                                </th>
                                <td mat-cell *matCellDef="let element"> {{element.value}} </td>
                            </ng-container>


                            <tr mat-header-row *matHeaderRowDef="flightData.displayedColumnsInfo"></tr>
                            <tr mat-row *matRowDef="let row; columns: flightData.displayedColumnsInfo;"></tr>
                        </table>
                    </mat-card>
                </div>
            </div>
            <div fxFlex="50" fxFlex.md="50" fxFlex.sm="100" fxFlex.xs="100" *ngIf="this.infoDataSource.length === 0">
                <div class="mat-card-container">
                    <mat-card class="spinner-card">
                        <div class="spinner-div">
                            <mat-spinner class="spinner-self"></mat-spinner>
                        </div>
                    </mat-card>
                </div>
            </div>
        </div>
        <div fxLayout="row wrap">
            <div class="mat-card-container similar-div" fxFlex="100">
                <mat-card>
                    <div fxLayout="wrap" class="similar-row">
                        <div class="similar-for" *ngFor="let obj of this._similarAircrafts">
                            <app-aircraft-card [aircraftObject]="obj"
                                               [dataFromCurrentAircraft]="this.chartService.data"
                                               [currentAircraft]="this.flightData.aircraft"
                                               [buttonDisabled]="this.infoDataSource.length === 0"
                            ></app-aircraft-card> <!-- (readyRendering)="next($event)" -->
                        </div>
                    </div>
                </mat-card>
            </div>
            <div class="mat-card-container" fxFlex="100"
                 *ngIf="(this.flightData !== undefined && this.flightData !== null && this.flightData && this.flightData.dataSource && this.flightData.dataSource.data.length !== 0) !== null">
                <mat-card>
                    <mat-form-field style="width: 100%" fxFlex="100">
                        <mat-label>{{dictionary.search}}</mat-label>
                        <input matInput (keyup)="this.flightData.applyFilter($event)" placeholder="{{dictionary.flight}} {{dictionary.search1}}">
                    </mat-form-field>
                </mat-card>
            </div>
            <div class="flight-data mat-card-container" fxFlex="100">
                <app-flight-data *ngIf="this.data.aircraft" [aircraftObject]="this.data.aircraft" [showInfoData]="false"
                                 [linkFlightNumber]="_linkFlightNumber"
                                 (inputFlightData)="receiveInputFlightData($event)"></app-flight-data>
            </div>

        </div>
    </div>
